<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateUtility Method (IEdmVault7)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault7 Interface : CreateUtility Method (IEdmVault7)

Visual Basic
C#
C++/CLI

eType
  Type of interface to create as defined in EdmUtility

Creates a utility interface of the specified type.

# Syntax

Visual Basic |
--- | ---

    Function CreateUtility( _
       ByVal eType As EdmUtility _
    ) As System.Object

C# |
--- | ---

    System.object CreateUtility(
       EdmUtility eType
    )

C++/CLI |
--- | ---

    System.Object^ CreateUtility(
    &   EdmUtility eType
    )

#### Parameters

eType
  Type of interface to create as defined in EdmUtility

#### Return Value

Interface

# Example

Find Revisions Using Component (C#)
Find Revisions Using Component (VB.NET)
Add Items (C#)
Add Items (VB.NET)
Get File References for a File (C#)
Get File References for a File (VB.NET)
Create a Task that Finds Files in Workflow States (VB.NET)
Create a Task that Finds Files in Workflow States (C#)
Add Custom File Reference (VB.NET)
Add Custom File Reference (C#)

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault7 Interface
IEdmVault7 Members

# Availability

SOLIDWORKS PDM Professional Version 6.2